package fr.umlv.foogle;

/** Represents an index of Foogle.
 * 
 * @author Remi Forax
 * 
 */
public interface Index {
  /** Returns the name of the indexed file.
   * @return the name of the indexed file.
   */
  public String getFilename();
  
  /** Returns the context startegy used by the current index.
   * @return the context strategy.
   * 
   * @see FoogleFacade#createIndex(ContextStrategy)
   * @see FoogleFacade#getAllContextStrategies()
   */
  public ContextStrategy getContextStrategy();
}
