package fr.umlv.foogle;

/** Result of a query, represents a location in a line of a file.
 * 
 *  A result can have a specific context value associated with it
 *  depending on the index strategy, use 
 *  {@link ContextStrategy#getContext(Result)} to obtain such context.
 * 
 * @author Remi Forax
 * 
 * @see Index#executeQuery(Query)
 */
public interface Result {
  /** Returns the line number containing
   *  the result
   * @return a line number.
   */
  public int getLine();
}
